package eu.dnetlib.openaire.dsm.domain.db;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.SelectBeforeUpdate;

import eu.dnetlib.enabling.datasources.common.Datasource;

/**
 * Datasource
 */
@Entity
@DynamicUpdate
@SelectBeforeUpdate
@Table(name = "dsm_services")
public class DatasourceDbEntry extends Datasource<OrganizationDbEntry, IdentityDbEntry> {

	@Transient
	private String openaireId;

	public String getOpenaireId() {
		return openaireId;
	}

	public void setOpenaireId(final String openaireId) {
		this.openaireId = openaireId;
	}
}
